$.ssquid = {};
date_from = "";
date_to = "";

$.ssquid.params = {
    url: "http://safesquid.cfg",
    root_tag: "section",
    section: {
        parent_tag: "parentgroup",
        logo_tag: "logo",
        display_name_tag: "comment",
        type_tag: "type",
        desc_tag: "desc",
        enabled_tag: "enabled",
        wizard_tag: "wizard",
        rwd_flag_tag: "flags", //read,write,display
        render_option: "render",
        global_defn: "global",
        subsecton_defn: "subsection",
        template_defn: "template",
        select_defn: "select",
        conf_string_list: "lists",
        rule_value: "value",
        search_options: "FIELD_COMMENT_NAMES",
        function_name:"function"
    },
    table: {
        time: "TIME_TABLE",
        download: "DOWNLOAD_TABLE",
        upload: "UPLOAD_TABLE",
        username: "USERNAME_TABLE"
    },
    report: {
        select: {
			username: "select L as USERNAME_TABLE,COUNT(L) as Requests,SUM(G) as  Bandwidth from",            
			range: "select AB as RANGE_TABLE,COUNT(AB) as Requests,SUM(G) as Bandwidth from",            
			ip: "select K IP_TABLE,COUNT(K) as Requests,SUM(G) as Bandwidth from",
			usergroups: "select AD USER_GROUPS_TABLE,COUNT(AD) as Requests,SUM(G) as Bandwidth from",            
			tld: "select Y as REQUEST_TLD_TABLE,COUNT(Y) as Requests,SUM(G) as Bandwidth from",            			            
			blocked_tld: "select Y as REQUEST_HOST_TABLE,COUNT(Y) as Requests,SUM(G) as  Bandwidth from",
            safesquid_filters: "select R as FILTERS_TABLE,COUNT(R) as Requests,SUM(G) as  Bandwidth from",
            dns_failed: "select X as REQUEST_TLD_TABLE,COUNT(X) as Requests,SUM(G) as  Bandwidth from",
            connection_failed: "select X as REQUEST_TLD_TABLE,COUNT(X) as Requests,SUM(G) as  Bandwidth from",
            bypass: "select Y REQUEST_TLD_TABLE,COUNT(Y) as Requests,SUM(G) as  Bandwidth from",
            request_host: "select X as REQUEST_HOST_TABLE,COUNT(X) as Requests,SUM(G) as Bandwidth from"
        },
		select_limit : {			           
			username: "select L as USERNAME_TABLE,COUNT(L) as Requests,SUM(G) as Bandwidth from (select L,G from ssquid ORDER BY A DESC LIMIT 1000) where L NOT LIKE '-'",
			range: "select AB as RANGE_TABLE,COUNT(AB) as Requests,SUM(G) as Bandwidth from (select AB,G from ssquid ORDER BY A DESC LIMIT 1000) where AB NOT LIKE '-'",
			ip: "select K  as IP_TABLE,COUNT(K) as Requests,SUM(G) as Bandwidth from (select K,G from ssquid ORDER BY A DESC LIMIT 1000) where K NOT LIKE '-'",			
			usergroups: "select AD as USER_GROUPS_TABLE,COUNT(AD) as Requests,SUM(G) as Bandwidth from (select AD,G from ssquid ORDER BY A DESC LIMIT 1000) where AD NOT LIKE '-'",
			tld: "select Y as REQUEST_TLD_TABLE,COUNT(Y) as Requests,SUM(G) as Bandwidth from (select Y,G from ssquid ORDER BY A DESC LIMIT 1000) where Y NOT LIKE '-'",			
			blocked_tld: "select Y as REQUEST_HOST_TABLE,COUNT(Y) as Requests from (select Y,F from ssquid ORDER BY A DESC LIMIT 1000) WHERE F = '403' AND Y NOT LIKE '-'",
			safesquid_filters: "select R as FILTERS_TABLE,COUNT(R) as Requests from (select R,F from ssquid ORDER BY A DESC LIMIT 1000) WHERE F = '403' AND R NOT LIKE '-'",
			dns_failed: "select X as REQUEST_TLD_TABLE,COUNT(X) as Requests from (select X,U from ssquid ORDER BY A DESC LIMIT 1000) WHERE U = 'TCP_DNS_FAILED' AND X NOT LIKE '-'",
			connection_failed: "select X as REQUEST_TLD_TABLE,COUNT(X) as Requests from (select X,U from ssquid ORDER BY A DESC LIMIT 1000) WHERE U = 'TCP_CONNECTION_FAILED' AND X NOT LIKE '-'",
			bypass: "select Y REQUEST_TLD_TABLE,COUNT(Y) as Requests from (select Y,R from ssquid ORDER BY A DESC LIMIT 1000) WHERE R = 'bypass' AND Y NOT LIKE '-'",
			request_host: "select X as REQUEST_HOST_TABLE,COUNT(X) as Requests,SUM(G) as Bandwidth from (select X,G from ssquid ORDER BY A DESC LIMIT 1000) where X NOT LIKE '-'"						
		},
        group: {
            general:{
			username: " GROUP BY USERNAME_TABLE.VAL ORDER BY SUM(SIZE_TABLE.VAL) DESC "
            },
		limit: {
			username: "GROUP BY L ORDER BY Bandwidth DESC ",
            range: " GROUP BY AB ORDER BY Bandwidth DESC ",
            ip: " GROUP BY K ORDER BY Bandwidth DESC ",
            usergroups: "  GROUP BY AD ORDER BY Bandwidth DESC ",
            tld: "  GROUP BY Y ORDER BY Bandwidth DESC ",           
            blocked_tld: " GROUP BY Y ORDER BY Requests DESC ",
            safesquid_filters: " GROUP BY R ORDER BY Requests DESC ",
            dns_failed: "  GROUP BY X ORDER BY Requests DESC  ",
            connection_failed: " GROUP BY X ORDER BY Requests DESC ",
            bypass: "  GROUP BY Y ORDER BY Requests DESC ",
            request_host: " GROUP BY X ORDER BY Bandwidth DESC ", 
			
			profiles: " GROUP  BY PROFILES_TABLE_VAL ORDER BY SUM(SIZE_TABLE.VAL) DESC ",
            applications:  " GROUP BY APPLICATIONS_TABLE_VAL ORDER BY SUM(SIZE_TABLE.VAL) DESC ",
            categories: " GROUP BY CATEGORIES_TABLE_VAL ORDER BY SUM(SIZE_TABLE.VAL) DESC ",
            upload_contents: " GROUP BY UPLOAD_CONTENTS_TABLE_VAL ORDER BY SUM(SIZE_TABLE.VAL) DESC ",
            download_contents: " GROUP BY DOWNLOAD_CONTENTS_TABLE_VAL ORDER BY SUM(SIZE_TABLE.VAL) DESC ",
            time_profiles: " GROUP BY TIME_PROFILES_TABLE_VAL ORDER BY SUM(SIZE_TABLE.VAL) DESC "
		}
        },
        heading: {
            bandwidth: "Gateway Utilization",
            size: "Size Distribution",
            users_graph: "Top users",
            ip_graph: "Top IP",
            user_groups_graph: "Top User Groups",
            websites: "Top websites",
            profiles: "Top 10 Profiles",
            applications: "Top 10 Applications",
            categories: "Top 10 Categories",
            upload_contents: "Upload content types",
            download_contents: "Download content types",
            time_profiles: "Time Based Report",
            blocked_websites: "Blocked Websites",
            security_breaches: "Security breaches",
            dns_failed: "DNS Failed",
            connection_failed: "Connection Failed",
            bypass: "Bypass Websites",
            request_host: "Top Sub Domains"
        }
    },
	handler: {
        section_xml: "handler=structured_xml",
        config_xml: "handler=conf_xml",
        subscription: "handler=subscription&refresh=",
        save: "handler=save&filename=config.xml",
        authentication: "handler=login_interface",
        performance: "handler=generic_script_handler&script_to_execute=modify_plot.sh",
        config_log: "handler=config_log",
        view_log: "handler=log",
        svscan_status: "handler=virus_information",
        support_list: "handler=support_tarball&list=true",
        config_list: "handler=config_xml&list=true",
        category_manager: "handler=category_manager",
        list_handler: "handler=get_list&list_name=",
        ssl_cache: "handler=ssl_cache_manage",
        policy_search: "handler=policy_search",
        search_options: "handler=get_list&list_name=FIELD_COMMENT_NAMES",
        extended_logs: "handler=extended_log",
        password_cache_list: "handler=password_cache&password_cache_list=true",
        password_cache_delete_user: "handler=password_cache&users_list=",
        reporting: "handler=reporting&format=xml",
        show_ldap: "handler=ldap&format=xml",
        cache: "handler=cache",
        account_info: "handler=users_information",
        sscore: "handler=category_signatures",
        dns_cache: "handler=dnscache&format=xml",
        active_connections: "handler=active_connections&format=xml",
        connection_pool: "handler=connection_pool",
        startup: "handler=safesquid_params",
        restart: "handler=safesquid_restart",
		kerberos: "handler=generic_script_handler&script_to_execute=kerberos.sh" 
    },
    js_files: {
        ldap_entries: "show_ldap.js",
        account_info: "account_info.js",
        logs: "view_log.js",
        active_connections: "active_connections.js",
        password_cache: "password_cache.js",
        modules_status: "module_status.js",
        ssl_cache: "ssl_cache.js",
        reports: "reports.js",
        support: "performance.js,support_tar.js,startup.js",
        encrypt_password:"encrypt_password.js",
        cache:"cache.js",
        prefetch:"prefetch.js",
        connection_pool:"connection_pool.js",
        header_filter:"header_filter.js"
    }
};
